aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2006-05-11 19:07:04 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2006-05-11 19:07:04 +0000
commit11a76d3591b9c10af074f6398e55cfeeba686b20 (patch)
tree33e9c910343db0dca739a5bb38749f63857bb43a /x11-libs
parentwxmaxima: version bump to 0.6.5 (diff)
downloadsci-11a76d3591b9c10af074f6398e55cfeeba686b20.tar.gz
sci-11a76d3591b9c10af074f6398e55cfeeba686b20.tar.bz2
sci-11a76d3591b9c10af074f6398e55cfeeba686b20.zip
agg: updated to 2.4
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@199 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/agg/Manifest4
-rw-r--r--x11-libs/agg/agg-2.4.ebuild41
-rw-r--r--x11-libs/agg/files/digest-agg-2.41
3 files changed, 45 insertions, 1 deletions
diff --git a/x11-libs/agg/Manifest b/x11-libs/agg/Manifest
index 57ae86ff7..d64c02be7 100644
--- a/x11-libs/agg/Manifest
+++ b/x11-libs/agg/Manifest
@@ -1,4 +1,6 @@
MD5 c076d39f1cf53c79af44275747922a36 ChangeLog 305
-MD5 171b16a140efbda40c230694e746320d agg-2.3.ebuild 877
+MD5 5fb8df714526b2b1ffb174cdd9d744bc agg-2.3.ebuild 877
+MD5 9cf38f8d470ce9f6fec908402f17c183 agg-2.4.ebuild 1088
MD5 ae702943303e2e92423180e6f580528a files/digest-agg-2.3 57
+MD5 74f52daea21daeef5b4cf7f2f1f10ab3 files/digest-agg-2.4 59
MD5 5fc54c5d01402d0610fafa96961bb8e0 metadata.xml 161
diff --git a/x11-libs/agg/agg-2.4.ebuild b/x11-libs/agg/agg-2.4.ebuild
new file mode 100644
index 000000000..09b1cea09
--- /dev/null
+++ b/x11-libs/agg/agg-2.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils autotools
+
+
+DESCRIPTION="Anti-Grain Geometry - A High Quality Rendering Engine for C++"
+HOMEPAGE="http://antigrain.com/"
+SRC_URI="http://antigrain.com/${P}.tar.gz"
+# get license from http://www.fsf.org/licensing/licenses/index_html#ModifiedBSD
+LICENSE="ModifiedBSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="sdl truetype X"
+
+DEPEND="sdl? ( >=media-libs/libsdl-1.2.0 )
+ X? ( virtual/X11 )
+ truetype? ( >=media-libs/freetype-2 )"
+
+src_compile() {
+ # work around buggy sdl test
+ use sdl || sed -i -e 's/sdl//' src/platform/Makefile.am
+
+ eautoreconf || die "eautoreconf failed"
+ # examples are not (yet) installed, so do not compile them
+ econf \
+ --enable-ctrl \
+ --enable-gpc \
+ --disable-examples \
+ $(use_enable sdl sdltest) \
+ $(use_enable truetype freetype) \
+ $(use_with X x) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "make install failed"
+ dodoc readme authors ChangeLog news
+}
diff --git a/x11-libs/agg/files/digest-agg-2.4 b/x11-libs/agg/files/digest-agg-2.4
new file mode 100644
index 000000000..e0ddcf2bf
--- /dev/null
+++ b/x11-libs/agg/files/digest-agg-2.4
@@ -0,0 +1 @@
+MD5 e3456e477526eebb4d2f1d108b96867c agg-2.4.tar.gz 525615